Bug 9789 - *** glibc detected *** double free or corruption
: *** glibc detected *** double free or corruption
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/wesnoth)
: unstable
: all Linux
: P2 critical
Assigned To:
:
: http://www.wesnoth.org/forum/viewtopi...
:
:
:
  Show dependency tree
 
Reported: 2006-07-18 20:50 by
Modified: 2006-10-12 00:34 (History)


Attachments
gdb session (4.62 KB, text/plain)
2006-07-18 20:52, Michael Shigorin
no flags Details
fixed build (6.90 KB, text/plain)
2006-07-18 21:41, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-18 20:50:42
1.1.7-alt1 и 1.0.1-alt1 на текущем сизифе имеют существенную тенденцию падать
при load/save (в смысле откат на заведомо рабочий 1.0.1 из 3.0 её не меняет --
подозреваю, проблема или маскировалась, или в библиотеках; возможно, только на
этом ноутбуке).

Как-то поймал пару месяцев тому, ну, думаю, и не поиграемся с детишками, не
очень-то и хотелось (пусть уроки делают).  Сейчас опять поймал, стало интересно
-- так это где.

Попробовал в gdb под screen, получается см. аттач.  Погуглил -- нашёлся см.
Url,
сейчас попробую.  Если выйдет, привешу спек.
------- Comment #1 From 2006-07-18 20:52:23 -------
Created an attachment (id=1542) [details]
gdb session
------- Comment #2 From 2006-07-18 21:41:21 -------
Created an attachment (id=1543) [details]
fixed build

С --with-fribidi не падает.  Однако.
------- Comment #3 From 2006-07-20 12:29:23 -------
Я ловил такое же на Сизифе и версии wesnoth-1.0.1 - помогало стирать
~/.wesnoth/cache. Ошибка довольно специфическая, и test case на неё нужно
получать методом проб. Зато после возникновения у меня воспроизводилась 100%,
пока не стирал ~/.wesnoth/cache.

Жаль, нет времени потыкать :-(
------- Comment #4 From 2006-10-03 11:27:41 -------
Глеб, давай я заберу wesnoth, если тебе не до?
Закинь incoming note, если согласен.
------- Comment #5 From 2006-10-03 12:27:03 -------
до =), мне бы только сменить редирект с sam-solutions на velesys.com =)
------- Comment #6 From 2006-10-10 13:15:23 -------
Ушёл 1.1.10 собранный с fribidi
------- Comment #7 From 2006-10-12 00:34:30 -------
спасибо! =)